<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getScriptName](./bitburner.ns.getscriptname.md)

## NS.getScriptName() method

Returns the current script name.

**Signature:**

```typescript
getScriptName(): string;
```
**Returns:**

string

Current script name.

## Remarks

RAM cost: 0 GB

